package com.xxfc.platform.tour.mapper;

import com.github.wxiaoqi.security.common.vo.GoodDataVO;
import com.xxfc.platform.tour.dto.GoodSearchDTO;
import com.xxfc.platform.tour.entity.TourGood;
import com.xxfc.platform.tour.entity.WebsiteQuery;
import com.xxfc.platform.tour.vo.TourGoodVo;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;
import java.util.List;
import java.util.Map;

/**
 * 旅游商品表
 * 
 * @author zjw
 * @email nishijjo@qq.com
 * @date 2019-06-06 11:41:51
 */
public interface TourGoodMapper extends Mapper<TourGood> {

    //获取商品信息
    public  TourGood getOne(@Param("id")Integer id);

    //查询旅游路线列表
	public List<TourGood> getGoodList(@Param("params") Map<String,Object> map);
    //根据经纬度查询旅游路线列表
    public List<TourGood> getCoordinateList(@Param("params") Map<String,Object> map);

	//获取商品列表
    public List<TourGoodVo> findGoodList(@Param("params") GoodSearchDTO tourGoodDTO);

    /**
     * 首页旅游列表
     * @param start
     * @param size
     * @return
     */
    List<GoodDataVO> findAllByHome(@Param("start") Integer start, @Param("size") Integer size);

    List<GoodDataVO> getList(WebsiteQuery query);

    List newTour(Integer limit);
}
